''===========================================================
''  
''  AttachFile
''  
''  Author      :hillbasesoft
''  Version     :01.02
''  Created     :01.00   2012/09/02
''  Modified    :01.02   2012/10/28
''              :
''  Copyright 2012 hillbasesoft All Rights Reserved.
''===========================================================


Option Explicit

Const cProgramName   = "AttachFile"                    'vO
Const cMajorVersion  = "01"                            'W[o[W
Const cMinorVersion  = "02"                            '}Ci[o[W
Const cAuthor        = "hillbasesoft"                  '
Const cCopyrightTerm = "2012"                          '쌠
Const cLastUpdate    = "2012/10/28"                    'ŏIXV

Dim dbFlg :dbFlg     = False                           'fobOtO




''===========================================================
''  name        : MsgBoxCopyright
''  description : Rs[CgpbZ[W\
''  param       : 
''===========================================================
Sub MsgBoxCopyright()
    Dim MSG
    MSG = MSG &             cProgramName & " Ver. " & cMajorVersion & "." & cMinorVersion & " " & cLastUpdate
    MSG = MSG & vbNewLine & ""
    MSG = MSG & vbNewLine &"Copyright  " & cCopyrightTerm & " " & cAuthor & " All Rights Reserved."
    MSG = MSG & vbNewLine & ""
    MsgBox MSG, vbInformation, "Copyright"
End Sub 


''===========================================================
''  name        : MsgBoxCheckInputData
''  description : ̓f[^`FbÑbZ[W{bNX\
''  param       : MSG           in      bZ[W
''===========================================================
Sub MsgBoxCheckInputData(MSG)
    MsgBox MSG, vbCritical + vbOKOnly, "̓f[^`FbN"
End Sub 


''===========================================================
''  name        : MsgBoxError
''  description : G[̃bZ[W{bNX\
''  param       : MSG           in      bZ[W
''===========================================================
Sub MsgBoxError(MSG)
    MsgBox MSG, vbCritical + vbOKOnly, "G["
End Sub


''===========================================================
''  name        : MsgBoxInformation
''  description : bZ[W{bNX\
''  param       : MSG           in      bZ[W
''              : TITLE         in      ^Cg
''===========================================================
Sub MsgBoxInformation(MSG, TITLE)
    MsgBox MSG, vbInformation, TITLE
End Sub 


''===========================================================
''  name        : MsgBoxCritical
''  description : x̃bZ[W{bNX\
''  param       : MSG           in      bZ[W
''===========================================================
Sub MsgBoxCritical(MSG)
    MsgBox MSG, vbCritical + vbOKOnly, ""
End Sub


''===========================================================
''  name        : IsExistFile
''  description : t@CVXȇݗL𔻒肷
''  param       : Path          in      ΃pX
''  return      : True                  ݂
''              : False                 ݂Ȃ
''===========================================================
Function IsExist(Path)
    
    Dim isFile: isFile = IsExistFile(Path)       't@C݃`FbN
    Dim isFldr: isFldr = IsExistFolder(Path)     'tH_݃`FbN
    
    If isFile = False And isFldr = False Then
        IsExist = False
    Else
        IsExist = True
    End If
    
End Function


''===========================================================
''  name        : IsExistFile
''  description : t@C̑ݗL𔻒肷
''  param       : Path          in      ΃pX
''  return      : True                  ݂
''              : False                 ݂Ȃ
''===========================================================
Function IsExistFile(Path)
    
    Dim FSO
    Set FSO = CreateObject("Scripting.FileSystemObject")
    IsExistFile = FSO.FileExists(Path)
    Set FSO = Nothing
    
End Function


''===========================================================
''  name        : IsExistFolder
''  description : tH_̑ݗL𔻒肷
''  param       : Path          in      ΃pX
''  return      : True                  ݂
''              : False                 ݂Ȃ
''===========================================================
Function IsExistFolder(Path)
    
    Dim FSO
    Set FSO = CreateObject("Scripting.FileSystemObject")
    IsExistFolder = FSO.FolderExists(Path)
    Set FSO = Nothing
    
End Function




''***********************************************************
''  name        : IniFileInfo
''  description : INIt@CNX
''              : 
''***********************************************************
Class IniFileInfo
    
    
    '------------------------------------------
    '  vpeB
    '------------------------------------------
    Private m_iniFileFolderPath               'INIt@C̃tH_pX
    Private m_iniFileName                     'INIt@C̖O
    Private m_iniFilePath                     'INIt@C̐΃pX
    
    Private m_showEditNameDialog              'vpeB ShowEditNameDialog
    Private m_format                          'vpeB Format
    Private m_attachInitial                   'vpeB AttachInitial
    
    
    '------------------------------------------
    '  RXgN^
    '------------------------------------------
    Private Sub Class_Initialize()
        
        m_iniFileFolderPath                = Left(WScript.ScriptFullName, Len(WScript.ScriptFullName) - Len(WScript.ScriptName) )
        m_iniFileName                      = "AttachFile.ini"
        m_iniFilePath                      = m_iniFileFolderPath & m_iniFileName
        
        m_showEditNameDialog               = False
        m_format                           = "YYYYMMDD_HHMISS"
        m_attachInitial                    = False
        
    End Sub
    
    
    '------------------------------------------
    '  fRXgN^
    '------------------------------------------
    Private Sub Class_Terminate()
        
    End Sub
    
    
    '------------------------------------------
    '  Getn֐
    '------------------------------------------
    Public Property Get IsShowEditNameDialog   :IsShowEditNameDialog   = m_showEditNameDialog   :End Property
    Public Property Get Format                 :Format                 = m_format               :End Property
    Public Property Get AttachInitial          :AttachInitial          = m_attachInitial        :End Property
    
    '------------------------------------------
    '  Letn֐
    '------------------------------------------
    'Letn֐Ȃ
    
    
    ''===========================================================
    ''  name        : Read
    ''  description : INIt@Cǂݍ
    ''===========================================================
    Public Sub Read()
        
        
        '------------------------------
        ' INIt@C̑݃`FbN
        '------------------------------
        If IsExistFile(m_iniFilePath) = False Then
            Call CreateIniFile
        End If
        
        
        '------------------------------
        ' t@C̃I[v
        '------------------------------
        Dim fs
        Set fs = WScript.CreateObject("Scripting.FileSystemObject")
        
        Dim f
        Set f = fs.OpenTextFile(m_iniFilePath)
        
        
        '------------------------------
        ' sPʂ̓ǂݍ
        '------------------------------
        Do While f.AtEndOfStream <> True
            
            Dim s
            s = Trim(f.ReadLine)
            
            If Len(s) > 0 And StrComp("#", Left(s, 1)) <> 0 Then
                
                Dim ary
                ary = Split(s,"=")
                
                Dim pName      :pName  = Trim(ary(0))     'vpeB
                Dim pValue     :pValue = Trim(ary(1))     'ݒl
                
                '------------------------------
                ' vpeBl̐ݒ
                '------------------------------
                Select Case pName
                
                Case "SHOW_EDIT_NAME_DIALOG"
                    
                    If StrComp("TRUE", UCASE(pValue)) = 0 Or StrComp("FALSE", UCASE(pValue)) = 0 Then
                        m_showEditNameDialog = CBool(pValue)
                    End If
                    
                    
                Case "FORMAT"
                    
                    If Len(Trim(pValue)) > 0 Then
                       
                       If InStr(pValue,"\") <> 0 Or _
                          InStr(pValue,"/") <> 0 Or _
                          InStr(pValue,";") <> 0 Or _
                          InStr(pValue,"*") <> 0 Or _
                          InStr(pValue,"?") <> 0 Or _
                          InStr(pValue,"""") <> 0 Or _
                          InStr(pValue,"<") <> 0 Or _
                          InStr(pValue,">") <> 0 Or _
                          InStr(pValue,"|") <> 0 Then
                           
                           Call MsgBoxError("INIt@CFormatvpeBɎ͎̕gpł܂B" & vbNewLine & "\ / ; * ? " & """" & "< > |")
                           WScript.Quit
                           
                       End If
                       
                       m_format = CStr(pValue)
                       
                    End If
                    
                    
                Case "ATTACH_INITIAL"
                    
                    If StrComp("TRUE", UCASE(pValue)) = 0 Or StrComp("FALSE", UCASE(pValue)) = 0 Then
                        m_attachInitial = CBool(pValue)
                    End If
                    
                    
                Case "LANGUAGE"
                    
                    If StrComp("EN", UCASE(pValue)) = 0 Then
                        m_language = "EN"
                    End If
                    
                    
                End Select
                
                
            End If
        Loop
        
        '------------------------------
        ' t@C̃N[Y
        '------------------------------
        f.Close
        
        Set f  = Nothing
        Set fs = Nothing
        
        
    End Sub
    
    ''===========================================================
    ''  name        : CreateIniFile
    ''  description : INIt@C𐶐
    ''===========================================================
    Private Sub CreateIniFile()
        
        Dim s
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# SHOW_EDIT_NAME_DIALOG vpeB"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <EN>"
        s = s & vbNewLine & "# This property is to show the editable name dialog."
        s = s & vbNewLine & "# True is to show this dialog, and edit folder name."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# True  :Available"
        s = s & vbNewLine & "# False :Unavailable"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <JP>"
        s = s & vbNewLine & "# ̃vpeB͖OҏWʂ̕\E\ݒ肵܂."
        s = s & vbNewLine & "# ̃vpeBLȏꍇ, OҏWʂ\, tH_ҏWł܂."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# True  :L"
        s = s & vbNewLine & "# False :"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "SHOW_EDIT_NAME_DIALOG=" & m_showEditNameDialog
        s = s & vbNewLine & ""
        s = s & vbNewLine & ""
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# FORMAT vpeB"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <EN>"
        s = s & vbNewLine & "# This property is to set the attaching format of file and folder name."
        s = s & vbNewLine & "# Default format is " & m_format & " if this is empty."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# YYYY   :Year(the four digits)"
        s = s & vbNewLine & "# YY     :Year(the two  digits)"
        s = s & vbNewLine & "# MM     :Month"
        s = s & vbNewLine & "# DD     :Day"
        s = s & vbNewLine & "# HH     :Hour"
        s = s & vbNewLine & "# MI     :Minute"
        s = s & vbNewLine & "# SS     :Second"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <JP>"
        s = s & vbNewLine & "# ̃vpeB̓t@C/tH_̖OɎt镶̃tH[}bgݒ肵܂."
        s = s & vbNewLine & "# ̃vpeB̏ꍇ, tH[}bg̓ftHg(" & m_format & ")ݒ肵܂."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# YYYY   :N(4)"
        s = s & vbNewLine & "# YY     :N(2)"
        s = s & vbNewLine & "# MM     :"
        s = s & vbNewLine & "# DD     :"
        s = s & vbNewLine & "# HH     :"
        s = s & vbNewLine & "# MI     :"
        s = s & vbNewLine & "# SS     :b"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "FORMAT=" & m_format
        s = s & vbNewLine & ""
        s = s & vbNewLine & ""
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# ATTACH_INITIAL vpeB"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <EN>"
        s = s & vbNewLine & "# This property is to atattch the strings to initial name of file or folder."
        s = s & vbNewLine & "# True is attach the strings to initial name of file or folder."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# True  :Available"
        s = s & vbNewLine & "# False :Unavailable"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# <JP>"
        s = s & vbNewLine & "# ̃vpeB͕t@C/tH_̐擪ɎtvpeBł."
        s = s & vbNewLine & "# ̃vpeBLȏꍇ, t@C/tH_̖O̐擪ɕݒ肵܂."
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "# True  :L"
        s = s & vbNewLine & "# False :"
        s = s & vbNewLine & "# "
        s = s & vbNewLine & "#========================================================="
        s = s & vbNewLine & "ATTACH_INITIAL=" & m_attachInitial
        s = s & vbNewLine & ""
        s = s & vbNewLine & ""
        
        Const ForReading    = 1
        Const ForWriting    = 2
        Const ForAppending  = 8
        
        Dim fso :Set fso = WScript.CreateObject("Scripting.FileSystemObject")
        Dim f   :Set f   = fso.OpenTextFile(m_iniFilePath, ForWriting, True)
        
        f.Write(s)
        f.Close
        
        Set f   = Nothing
        Set fso = Nothing
        
        
    End Sub
    
    
End Class




''***********************************************************
''  name        : FileInfo
''  description : t@CNX
''              : 
''***********************************************************
Class FileInfo
    
    
    '------------------------------------------
    '  vpeB
    '------------------------------------------
    Private m_Path       '΃pX
    
    
    '------------------------------------------
    '  RXgN^
    '------------------------------------------
    Private Sub Class_Initialize()
        
        m_Path = ""
        
    End Sub
    
    
    '------------------------------------------
    '  fRXgN^
    '------------------------------------------
    Private Sub Class_Terminate()
        
        m_Path = ""
        
    End Sub
    
    
    '------------------------------------------
    '  Getn֐
    '------------------------------------------
    Public Property Get Path                 :Path             = m_Path                 :End Property
    Public Property Get Name                 :Name             = GetName()              :End Property 
    Public Property Get PathParentFolder     :PathParentFolder = GetPathParentFolder()  :End Property
    Public Property Get IsFile               :IsFile           = IsExistFile(m_Path)    :End Property
    Public Property Get IsFolder             :IsFolder         = IsExistFolder(m_Path)  :End Property
    
    '------------------------------------------
    '  Letn֐
    '------------------------------------------
    'Letn֐Ȃ
    
    
    ''===========================================================
    ''  name        : Initialize
    ''  description : t@C
    ''  param       : Path          in      ΃pX
    ''              : EMSG          out     G[bZ[W
    ''  return      : True                  I
    ''              : False                 ُI
    ''===========================================================
    Public Function Initialize(Path, EMSG)
        
        Initialize = False
        EMSG = ""
        
        '------------------------------
        ' `FbN
        '------------------------------
        If IsExist(Path) = False Then
            EMSG = "t@CVXeɊɑ݂܂B" & vbNewLine & "<" & Path & ">"
            Exit Function
        End If
        
        '------------------------------
        ' ΃pX̐ݒ
        '------------------------------
        m_Path = Path
        
        
        Initialize = True
        
        
    End Function
    
    
    ''===========================================================
    ''  name        : GetName
    ''  description : t@C̖OԂ
    ''  param       : Ȃ
    ''  return      : t@C̖O
    ''===========================================================
    Private Function GetName()
        
        GetName = Mid(m_Path, (InstrRev(m_Path, "\") + 1), Len(m_Path))
        
    End Function
    
    
    ''===========================================================
    ''  name        : GetPathRootFolder
    ''  description : [gtH_̐΃pXԂ
    ''  param       : Ȃ
    ''  return      : [gtH_̐΃pX
    ''===========================================================
    Private Function GetPathRootFolder()
        
        GetPathRootFolder = Mid(m_Path, 1, InstrRev(m_Path, "\") - 1)
        
    End Function
    
    
    ''===========================================================
    ''  name        : Rename
    ''  description : t@CύXB
    ''  param       : iniINfo       in      INIt@C
    ''              : EMSG          out     G[bZ[W
    ''  return      : True                  
    ''              : False                 s
    ''===========================================================
    Public Function Rename(iniInfo, EMSG)
        
        Dim FSO                 't@CVXeIuWFNg
        
        Dim wk_Path             '΃pX
        Dim wk_Name             'O
        Dim wk_Extension        'gq
        Dim wk_FileName         't@C
        Dim wk_FileNameNew      't@CiVKj
        
        Dim wk_Format           'tH[}bg
        
        Dim isFile              't@C݃tO
        Dim isFldr              'tH_݃tO
        Dim isInited            'tO
        
        Const cSEPARATOR = "\"
        Const cEXT       = "."
        
        Rename = False
        EMSG = ""
        
        
        '------------------------------
        ' `FbN
        '------------------------------
        If IsExist(m_Path) = False Then
            EMSG = "t@CVXeɊɑ݂܂B" & vbNewLine & "<" & Path & ">"
            Exit Function
        End If
        
        IsFile = IsExistFile(m_Path)
        IsFldr = IsExistFolder(m_Path)
        
        
        '------------------------------
        ' tH[}bgϊ
        '------------------------------
        wk_Format  = GetTransformedFormat(iniInfo.Format, EMSG)
        If Len(wk_Format) = 0 Then
            Call MsgBoxError(EMSG)
            WScript.Quit
        End If
        
        
        '------------------------------
        ' t@C/tH_̖O쐬
        '------------------------------
        wk_FileName = GetName()
        
        
        If isFile Then
            
            wk_Name        = Left(wk_FileName, (InstrRev(wk_FileName, cEXT) - 1) )
            wk_Extension   = Mid( wk_FileName, (InstrRev(wk_FileName, cEXT) + 1), Len(wk_FileName))
            
            
            '------------------------------
            ' t@C/tH_̐΃pX쐬
            '------------------------------
            If iniInfo.AttachInitial Then
                wk_FileNameNew = wk_Format & wk_Name & cEXT & wk_Extension
            Else
                wk_FileNameNew = wk_Name & wk_Format & cEXT & wk_Extension
            End If
            
        ElseIf isFldr Then
            
            If iniInfo.AttachInitial Then
                wk_FileNameNew = wk_Format & wk_FileName
            Else
                wk_FileNameNew = wk_FileName & wk_Format
            End If
            
        End If
        
        If iniInfo.IsShowEditNameDialog Then
            If MsgBoxInput(wk_FileNameNew, wk_FileNameNew, EMSG) = False Then
                Exit Function
            End If
        End If
        
        
        '------------------------------
        ' t@C/tH_̐΃pX쐬
        '------------------------------
        wk_Path = GetPathRootFolder & cSEPARATOR & wk_FileNameNew
        
        
        '------------------------------
        ' `FbN
        '------------------------------
        If IsExist(wk_Path) Then
            EMSG = "t@CVXeɊɑ݂܂B" & vbNewLine & "<" & wk_Path & ">"
            Exit Function
        End If
        
        
        '------------------------------
        ' l[
        '------------------------------
        Set FSO  = WScript.CreateObject("Scripting.FileSystemObject")
        
        On Error Resume Next
        If isFile Then
            FSO.MoveFile m_Path, wk_Path
        ElseIf isFldr Then
            FSO.MoveFolder m_Path, wk_Path
        End If
        
        If Err.Number <> 0 Then
            EMSG = "l[ɃG[܂B"
            EMSG = EMSG & vbNewLine & "Errԍ =" & Err.Number
            EMSG = EMSG & vbNewLine & "Err =" & Err.Description
            EMSG = EMSG & vbNewLine & "Err  =" & Err.Source
            On Error Goto 0
            Set FSO = Nothing
            Exit Function
        End If
        
        On Error Goto 0
        
        Set FSO = Nothing
        
        
        '------------------------------
        ' t@C̏
        '------------------------------
        isInited = Initialize(wk_Path, EMSG)
        
        If isInited = False Then
            Exit Function
        End If
        
        
        Rename = True
        
    End Function
    
    
    ''===========================================================
    ''  name        : GetYYMMDDHHMISS
    ''  description : ̕(YYYYMMDDHHMISS)Ԃ
    ''  
    ''===========================================================
    Private Function GetYYYYMMDDHHMISS()
        
        Dim tm    :tm   = now()
        
        Dim YYYY  :YYYY = Year(tm)
        Dim MM    :MM   = Right("0" & Month(tm) , 2)
        Dim DD    :DD   = Right("0" & Day(tm)   , 2)
        Dim HH    :HH   = Right("0" & Hour(tm)  , 2)
        Dim MI    :MI   = Right("0" & Minute(tm), 2)
        Dim SS    :SS   = Right("0" & Second(tm), 2)
        
        GetYYYYMMDDHHMISS = YYYY & MM & DD & HH & MI & SS
        
    End Function
    
    
    ''===========================================================
    ''  name        : GetTransformedFormat
    ''  description : tH[}bgϊԂ
    ''  param       : fmt           in      tH[}bg
    ''              : EMSG          out     G[bZ[W
    ''===========================================================
    Private Function GetTransformedFormat(fmt, EMSG)
        
        Dim dosFileName          'DOSt@C̖O
        Dim dosFldrPath          'DOSt@CzutH_̐΃pX
        Dim dosFilePath          'DOSt@C̐΃pX
        
        Dim txtFileName          'TXTt@C̖O
        Dim txtFldrPath          'TXTt@CzutH_̐΃pX
        Dim txtFilePath          'TXTt@C̐΃pX
        
        Dim SHL                  'VFIuWFNg
        Dim FSO                  't@CVXeIuWFNg
        Dim F                    't@CIuWFNg
        
        Dim cmd                  'R}h
        Dim rtn                  '߂l
        Dim tfmt                 'ϊtH[}bg
        
        
        '------------------------------------------
        '  DOSt@C
        '------------------------------------------
        dosFileName = "Format.bat"
        dosFldrPath = Left(WScript.ScriptFullName, Len(WScript.ScriptFullName) - Len(WScript.ScriptName) )
        dosFilePath = dosFldrPath & dosFileName
        
        
        '------------------------------------------
        '  R}h̍쐬
        '------------------------------------------
        cmd  = """" & dosFilePath & """" & " " & fmt
        
        
        '------------------------------------------
        '  tH[}bg̎擾
        '------------------------------------------
        Set SHL = CreateObject("WScript.Shell")
        SHL.CurrentDirectory = dosFldrPath
        rtn = SHL.Run(cmd, 0, True)
        Set SHL = Nothing
        If rtn <> 0 Then
            EMSG = "G[܂B rtn=" & rtn
            Exit Function
        End If
        
        
        '------------------------------------------
        '  TXTt@C
        '------------------------------------------
        txtFileName = "FORMAT_RESULT.txt"
        txtFldrPath = Left(WScript.ScriptFullName, Len(WScript.ScriptFullName) - Len(WScript.ScriptName) )
        txtFilePath = txtFldrPath & txtFileName
        
        
        '------------------------------
        ' t@C̃I[v
        '------------------------------
        Set FSO = WScript.CreateObject("Scripting.FileSystemObject")
        Set F   = FSO.OpenTextFile(txtFilePath)
        
        Do While F.AtEndOfStream <> True
            tfmt = Trim(F.ReadLine)
        Loop
        F.Close
        
        FSO.DeleteFile txtFilePath
        
        Set F   = Nothing
        Set FSO = Nothing
        
        
        GetTransformedFormat = tfmt
        
    End Function
    
    
    ''===========================================================
    ''  name        : MsgBoxInput
    ''  description : ͎̃bZ[W{bNX\
    ''  param       : MSG           in      bZ[W
    ''===========================================================
    Private Function MsgBoxInput(oldName, newName, EMSG)
        
        MsgBoxInput = False
        
        Dim tmpName : tmpName = ""
        EMSG = ""
        
        Do
            tmpName = InputBox("O͂ĂB", "mF", oldName)
            
            If vbCancel = tmpName Then
                
                EMSG = cProgramName & "̏𒆎~܂B"
                newName = ""
                Exit Function
                
            ElseIf IsEmpty(tmpName) Then
                
                EMSG = cProgramName & "̏𒆎~܂B"
                newName = ""
                Exit Function
                
            ElseIf Len(Trim(tmpName)) = 0 Then
                
                Call MsgBoxCheckInputData("Oɋ󂨂ы󕶎͎gpł܂")
                
            End If
            
        Loop While Len(Trim(tmpName)) = 0
        
        newName = tmpName
        EMSG = ""
        
        MsgBoxInput = True
        
    End Function 
    
    
End Class




''===========================================================
''  name        : Main
''  description : C
''  param       : Ȃ
''===========================================================
Sub Main()
    
    Dim argValue            '̕
    Dim isInit              '𔻒肷tO
    Dim isRenamed           'l[
    Dim EMSG                'G[bZ[W
    
    Dim fInfo               't@C
    Dim iniInfo             'init@C
    
    
    '------------------------------
    ' init@C̎擾
    '------------------------------
    Set iniInfo = New IniFileInfo
    iniInfo.Read()
    
    
    '------------------------------
    ' `FbN
    '------------------------------
    If WScript.Arguments.Unnamed.Count <> 1 Then
        Call MsgBoxCopyright
        WScript.Quit
    End If
    
    argValue = WScript.Arguments(0)
    
    '------------------------------
    ' t@C
    '------------------------------
    Set finfo = New FileInfo
    isInit = finfo.Initialize(argValue, EMSG)
    
    If isInit = False Then
        Call MsgBoxCheckInputData(EMSG)
        WScript.Quit
    End If
    
    
    '------------------------------
    ' t@C̃l[
    '------------------------------
    isRenamed = finfo.Rename(iniInfo, EMSG)
    
    If isRenamed = False Then
        Call MsgBoxCritical(EMSG)
        WScript.Quit
    End If
    
    
    '------------------------------
    ' bZ[W
    '------------------------------
    Call MsgBoxInformation("l[܂B" & vbNewLine & "<" & finfo.Name & ">", "")
    
    
    Set iniInfo  = Nothing
    Set fInfo    = Nothing
    
    
End Sub


Call Main

